* {
    padding: 0;
    margin: 0;
}
body {
    text-align: center;
    font-family: sans-serif;
}
h1 {
    margin: .5em 0 1em;
}

#grid {
    margin: 1em auto 0;
    border-spacing: 0;
    border-collapse: collapse;
}
    #grid td {
        border: 1px solid gray;
    }
    
    @keyframes birth {
        0% {
            opacity: .5;
        }
        50% {
            box-shadow: 0 0 0 99px green inset;
        }    
    }
    
    @keyframes death {
        0% {
            box-shadow: 0 0 0 99px red inset;
        }
    }

    #grid input[type="checkbox"] {
        -webkit-appearance: none;
        -moz-appearance: none;
        appearance: none;
        display: block;
        width: 14px;
        height: 14px;
        background: white;
    }
        #grid input[type="checkbox"]:checked {
            box-shadow: 0 0 0 99px black inset;
        }    

#interval {
    width: 100px;
}

button,
.button {
    padding: .3em .5em;
    border: 1px solid rgba(0,0,0,.2);
    border-radius: .3em;
    box-shadow: 0 1px 0 hsla(0,0%, 100%, .8) inset, 0 .15em .1em rgba(0,0,0,.4);
    background: linear-gradient(hsla(0,0%,100%,.3), hsla(0,0%,100%,0)) hsl(80,80%,35%);
    color:white;
    text-shadow: 0 -.05em .05em rgba(0,0,0,.3);
    font: inherit;
    font-weight: bold;
}

button:active,
.button:active,
input[type="checkbox"]:checked + label.button {
    background-image: none;
    box-shadow: 0 .1em .3em rgba(0,0,0,.5) inset;
}
button:disabled {
    background-color: hsl(80,20%,40%);
    cursor: not-allowed;
}
#autoplay {
    position: absolute;
    clip: rect(0,0,0,0);
}